<?php
/* Author: Marton Horvath */
/* Date: 2015 */
/* File: index.php */
?>

<html>

<head>
	<title>LinKoor</title>

	<script type="text/javascript">

		function scaleParameterX() 
		{ 
			var Index = document.myform.x_axis_scale.options[document.myform.x_axis_scale.selectedIndex].value; 
			if(Index == "root" || Index == "power" )
			{
				document.getElementById("x_scale_parameter").removeAttribute("disabled");
				if(document.myform.x_scale_parameter.value == "")
				{
					document.myform.x_scale_parameter.value = 2;
				}
			} 
			else
			{
				document.getElementById("x_scale_parameter").setAttribute("disabled", "disabled");
			}
		}

		function scaleParameterY() 
		{ 
			var Index = document.myform.y_axis_scale.options[document.myform.y_axis_scale.selectedIndex].value; 
			if(Index == "root" || Index == "power" )
			{
				document.getElementById("y_scale_parameter").removeAttribute("disabled");
				if(document.myform.y_scale_parameter.value == "")
				{
					document.myform.y_scale_parameter.value = 2;
				}
			} 
			else
			{
				document.getElementById("y_scale_parameter").setAttribute("disabled", "disabled");
			}
		}

		function textFileToArray( filename )
		{
		    var reader = (window.XMLHttpRequest != null ) 
		               ? new XMLHttpRequest() 
		               : new ActiveXObject("Microsoft.XMLHTTP");
		    reader.open("GET", filename, false );
		    reader.send( );
		    return reader.responseText.split(/(\r\n|\n)/g); 
		}

		function fileToField()
		{
		    var r = Math.random();
		    var path = "uploaded_plot_data";
		    var strings = textFileToArray(path.concat("?", String(r)));
		  //   file_path = "uploaded_plot_data";
			 // file_path.remove();

		    if(strings[32] == "!plot_data!")
		    {
		    	document.myform.expression1.value = strings[0];
		    	document.myform.expression2.value = strings[2];
		    	document.myform.expression3.value = strings[4];
		    	document.myform.expression4.value = strings[6];
				document.myform.x_axis_scale.value = strings[8];
				document.myform.x_scale_parameter.value = strings[10];
				document.myform.x_axis_scale_min.value = strings[12];
				document.myform.x_axis_scale_max.value = strings[14];
				document.myform.x_tick_anchor.value = strings[16];
				document.myform.x_tick_increment.value = strings[18];
				document.myform.y_axis_scale.value = strings[20];
				document.myform.x_scale_parameter.value = strings[22];
				document.myform.y_axis_scale_min.value = strings[24];
				document.myform.y_axis_scale_max.value = strings[26];
				document.myform.y_tick_anchor.value = strings[28];
				document.myform.y_tick_increment.value = strings[30];
		    }   
		    else
		    {
		    	alert("File not found or wrong format...");
		    }
		}

		// Popup window code
		function newPopup(url) 
		{
			popupWindow = window.open(url,'popUpWindow','height=150,width=350,left=1,top=25,resizable=yes,scrollbars=yes,toolbar=no,menubar=no,location=no,directories=no,status=yes')
		}

	</script>

	<style type="text/css">
		body 
		{
			background-image: url(images/bg.png);
			font-family: Arial, Helvetica, sans-serif;
			font-size: 13px;
			color: #333333;
			text-align: center;
		}
		table 
		{
			background-color: #DBDBDB;
			vertical-align: "top";
			font-family: "Courier New", Courier, mono; font-size: 15px;
		}
		input.refresh_button 
		{
		    width: 16.35em;  height:2em;
		}
		input.double_plot_button 
		{
		    width: 16.35em;  height: 1.5em;
		}
		input.other_button 
		{
		    width: 8em;  height: 1.5em;
		}
		input.text_field 
		{
		    width: 6.2em;  height: 1.5em;
		}
		.style3 
		{
			font-family: "Courier New", Courier, mono; font-size: 13px;
		}
	
	</style>
</head>

<body >
	<table border="0" cellpadding="0" cellspacing="0" align="center">

	<table border="1" cellpadding="2" cellspacing="0" align="center">
 		<tr>
 		  <td witdth="150">


				<form name="myform" action="plot.php" method="post", target="_iframe">
 				<!-- ********** A SECTION ********** -->
				<table><tr><td><b><br>A</b><td></tr></table>

				<!-- ********** X AXIS SECTION ********** -->
				<table><tr><td><b>X AXIS</b><td></tr></table> 
				<table class="style3"><tr>
					<td>Scale type: </td>
					<td><select name="x_axis_scale" onchange="scaleParameterX();">
					 		 <option value="linear" selected="selected">linear</option>
					 		 <option value="logarithm" >logarithm</option>
					 		 <option value="exponent">exponent</option>
					 		 <option value="power">power</option>
					 		 <option value="root">root</option>
					 		 <option value="reciprocal">reciprocal</option>
					 		 <option value="ndst">ndst</option>
					 		 <option value="logndst">logndst</option>
					 		 <option value="tan">tan</option>
					 		 <option value="atan">atan</option>
					 		 <option value="tanh">tanh</option>
					 		 <option value="atanh">atanh</option>
						</select>
					</td></tr>
					<tr><td>Scale parameter: </td><td><input type="text" id="x_scale_parameter" name="x_scale_parameter" size="8" autocomplete="off" class="text_field" disabled></td></tr>
					<tr><td>Scale MIN: </td><td><input type="text" name="x_axis_scale_min" size="8" value="-5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Scale MAX: </td><td><input type="text" name="x_axis_scale_max" size="8" value="5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick anchor: </td><td><input type="text" name="x_tick_anchor" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick increment: </td><td><input type="text" name="x_tick_increment" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Draw grid: </td><td><input type="hidden" name="x_draw_grid" value="false"><input type="checkbox" name="x_draw_grid" value="true" checked="checked"></td></tr>
				</table>

				<!-- <********** Y AXIS SECTION ********** -->
				<table><tr><td><b>Y AXIS</b><td></tr></table> 
				<table class="style3"><tr>
					<td>Scale type: </td>
					<td><select name="y_axis_scale" onchange="scaleParameterY();">
					  		<option value="linear" selected="selected">linear</option>
					  		<option value="logarithm">logarithm</option>
					  		<option value="exponent">exponent</option>
					  		<option value="power">power</option>
					  		<option value="root">root</option>
					  		<option value="reciprocal">reciprocal</option>
					  		<option value="ndst">ndst</option>
					  		<option value="logndst">logndst</option>
					  		<option value="tan">tan</option>
					 		<option value="atan">atan</option>
					 		<option value="tanh">tanh</option>
					 		<option value="atanh">atanh</option>
						</select>
					</td></tr>
					<tr><td>Scale parameter: </td><td><input type="text" id="y_scale_parameter" name="y_scale_parameter" size="8" autocomplete="off" class="text_field" disabled></td></tr>
					<tr><td>Scale MIN: </td><td><input type="text" name="y_axis_scale_min" size="8" value="-5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Scale MAX: </td><td><input type="text" name="y_axis_scale_max" size="8" value="5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick anchor: </td><td><input type="text" name="y_tick_anchor" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick increment: </td><td><input type="text" name="y_tick_increment" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Draw grid: </td><td><input type="hidden" name="y_draw_grid" value="false"><input type="checkbox" name="y_draw_grid" value="true" checked="checked"></td></tr></table>		
 		  </td>
 		  <td witdth="150">


				<form name="myform" action="plot.php" method="post", target="_iframe">
 				<!-- ********** A SECTION ********** -->
				<table><tr><td><b><br>A</b><td></tr></table>

				<!-- ********** X AXIS SECTION ********** -->
				<table><tr><td><b>X AXIS</b><td></tr></table> 
				<table class="style3"><tr>
					<td>Scale type: </td>
					<td><select name="x_axis_scale" onchange="scaleParameterX();">
					 		 <option value="linear" selected="selected">linear</option>
					 		 <option value="logarithm" >logarithm</option>
					 		 <option value="exponent">exponent</option>
					 		 <option value="power">power</option>
					 		 <option value="root">root</option>
					 		 <option value="reciprocal">reciprocal</option>
					 		 <option value="ndst">ndst</option>
					 		 <option value="logndst">logndst</option>
					 		 <option value="tan">tan</option>
					 		 <option value="atan">atan</option>
					 		 <option value="tanh">tanh</option>
					 		 <option value="atanh">atanh</option>
						</select>
					</td></tr>
					<tr><td>Scale parameter: </td><td><input type="text" id="x_scale_parameter" name="x_scale_parameter" size="8" autocomplete="off" class="text_field" disabled></td></tr>
					<tr><td>Scale MIN: </td><td><input type="text" name="x_axis_scale_min" size="8" value="-5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Scale MAX: </td><td><input type="text" name="x_axis_scale_max" size="8" value="5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick anchor: </td><td><input type="text" name="x_tick_anchor" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick increment: </td><td><input type="text" name="x_tick_increment" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Draw grid: </td><td><input type="hidden" name="x_draw_grid" value="false"><input type="checkbox" name="x_draw_grid" value="true" checked="checked"></td></tr>
				</table>

				<!-- <********** Y AXIS SECTION ********** -->
				<table><tr><td><b>Y AXIS</b><td></tr></table> 
				<table class="style3"><tr>
					<td>Scale type: </td>
					<td><select name="y_axis_scale" onchange="scaleParameterY();">
					  		<option value="linear" selected="selected">linear</option>
					  		<option value="logarithm">logarithm</option>
					  		<option value="exponent">exponent</option>
					  		<option value="power">power</option>
					  		<option value="root">root</option>
					  		<option value="reciprocal">reciprocal</option>
					  		<option value="ndst">ndst</option>
					  		<option value="logndst">logndst</option>
					  		<option value="tan">tan</option>
					 		<option value="atan">atan</option>
					 		<option value="tanh">tanh</option>
					 		<option value="atanh">atanh</option>
						</select>
					</td></tr>
					<tr><td>Scale parameter: </td><td><input type="text" id="y_scale_parameter" name="y_scale_parameter" size="8" autocomplete="off" class="text_field" disabled></td></tr>
					<tr><td>Scale MIN: </td><td><input type="text" name="y_axis_scale_min" size="8" value="-5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Scale MAX: </td><td><input type="text" name="y_axis_scale_max" size="8" value="5" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick anchor: </td><td><input type="text" name="y_tick_anchor" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Tick increment: </td><td><input type="text" name="y_tick_increment" size="8" value="" autocomplete="off" class="text_field"></td></tr>
					<tr><td>Draw grid: </td><td><input type="hidden" name="y_draw_grid" value="false"><input type="checkbox" name="y_draw_grid" value="true" checked="checked"></td></tr></table>		
 		  </td>
 		</tr> 
 	 </table>
 	 <table class="style3" align="center"><tr><td><input type="submit" value="PLOT!" class="refresh_button"></td></tr></table>
 	</form>

		</tr>
		<!-- <tr><td><a href="http://www.000webhost.com/" target="_blank"><img src="images/80x15_powered.gif" alt="Web Hosting" width="80" height="15" border="0" /></a></td></tr> -->
	
	</table>

</body>

</html>
